Subject: Re: [mpls] Comments on draft-gandhi-mpls-rfc6374-sr

From: Rakesh Gandhi <[email-masked]>
Date: Thu, 5 Dec 2019 09:36:58 -0500

Hi Tarek,

Thank you for the comments. The latest revision of the draft addresses
these comments. Please advise if there are further comments.
We believe the document is ready for WG adoption.

URL:
https://www.ietf.org/internet-drafts/draft-gandhi-mpls-rfc6374-sr-01.txt
Diff:
https://www.ietf.org/rfcdiff?url2=draft-gandhi-mpls-rfc6374-sr-01

Thanks,
Rakesh (for authors)

On Sun, Nov 17, 2019 at 2:07 AM Tarek Saad <[email-masked]> wrote:

> Hi authors,
>
>
>
> Having gone over this draft, I have the following comments:
>
>    1. Section 6.1.1 introduces a new block number TLV. The claim is
>    RFC8231 requires identification of block number for proper LM.. From
>    looking at RFC8231, I see the AM method can be achieved with only 2 colors
>    and many blocks (see section 3.1 of RFC8231).. Given coloring for AM method
>    can be done using SFL (draft-ietf-mpls-sfl-framework) with SFL labels, is
>    this block number TLV still needed?
>    2. Section 4.3.2.1 introduces Return Path subtlv that is suposed to
>    carry the label stack or return path: 1) a similar return path tlv is
>    proposed in other drafts e.g. for use with BFD over SR paths, LSP ping etc.
>    – does it make sense to have unified definition of this return path TLV? b)
>    Figure 7B mentions Segment-List (1) to Segment-List(n) , did you mean
>    Label(1)/Segment(1) to Label(n)/Segment(n)?
>    3. Section 8) lightly talks about ECMP and loose SIDs in end-to-end PM
>    measurement – however, a) it is not clear how end-to-end LM is results are
>    reliable when ECMP is present? b) Similarly, for DM when ECMP for loose
>    SID(s) exists – how delay of each of the ECMP(s) are discovered or at least
>    what sender is doing to ensure all ECMP(s) are traversed by probes?
>
>
>
> Regards,
>
> Tarek
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>